Bug 441845 - gfs_grow can not grow if filesystem is specified by device rather than mount point
gfs_grow can not grow if filesystem is specified by device rather than mount ...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Robert Peterson
GFS Bugs
Depends On:
  Show dependency treegraph
Reported: 2008-04-10 10:57 EDT by Dean Jansa
Modified: 2010-01-11 22:34 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEL5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-20 14:51:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2008-04-10 10:57:06 EDT
Description of problem:
Attempts to grow a gfs filesyste by specifiing the device fails:

gfs_grow -v /dev/growfs/gfs1
GFS Filesystem /dev/growfs/gfs1 not found

/dev/growfs/gsf1 is mounted on /mnt/gfs1, using the mountpoint works.

The man page states:
  gfs_grow [OPTION]... <DEVICE|MOINTPOINT>...

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. gfs_grow <device>
Actual results:

Error message

Expected results:

FS grows

Additional info:
Comment 1 Robert Peterson 2008-04-15 18:23:20 EDT
This is fixed in the latest and greatest gfs_grow, most likely by virtue
of the code change I did for bug #337961.  So the next question becomes:
Is it important enough to back-port that fix to 5.1 or should I close
this as WONTFIX?

[root@roth-01 ../bob/cluster/gfs/gfs_grow]# /usr/sbin/lvresize -L +1G
  Extending logical volume roth_lv to 102.00 GB
  Logical volume roth_lv successfully resized
[root@roth-01 ../bob/cluster/gfs/gfs_grow]# gfs_grow /dev/roth_vg/roth_lv 
GFS Filesystem /dev/roth_vg/roth_lv not found
[root@roth-01 ../bob/cluster/gfs/gfs_grow]# ./gfs_grow /dev/roth_vg/roth_lv 
FS: Mount Point: /mnt/gfs
FS: Device: /dev/mapper/roth_vg-roth_lv
FS: Options: rw,hostdata=jid=0:id=327681:first=1
FS: Size: 26476544
DEV: Size: 26738688
Preparing to write new FS information...
Comment 3 Robert Peterson 2008-05-20 13:00:12 EDT
Adding Rob K to the cc list
Comment 4 Robert Peterson 2008-05-20 14:51:23 EDT
Closing as CURRENTRELEASE as per irc discussions with Dean and Rob.

Note You need to log in before you can comment on or make changes to this bug.